KeyboardCodes (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart

## Enum KeyboardCodes

- java.lang.Object
- - java.lang.Enum<KeyboardCodes>
  - - com.twosigma.beakerx.chart.KeyboardCodes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<KeyboardCodes>

      public enum KeyboardCodes
      extends java.lang.Enum<KeyboardCodes>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD`
    `ALT`
    `BACK_SLASH`
    `BACKSPACE`
    `CAPS_LOCK`
    `CLOSE_BRAKET`
    `COMMA`
    `CTRL`
    `DASH`
    `DECIMAL_POINT`
    `DELETE`
    `DIVIDE`
    `DOWN_ARROW`
    `END`
    `ENTER`
    `EQUAL_SIGN`
    `ESCAPE`
    `F1`
    `F10`
    `F11`
    `F12`
    `F2`
    `F3`
    `F4`
    `F5`
    `F6`
    `F7`
    `F8`
    `F9`
    `FORWARD_SLASH`
    `GRAVE_ACCENT`
    `HOME`
    `INSERT`
    `LEFT_ARROW`
    `MULTIPLY`
    `NUM_LOCK`
    `OPEN_BRACKET`
    `PAGE_DOWN`
    `PAGE_UP`
    `PAUSE_BREAK`
    `PERIOD`
    `RIGHT_ARROW`
    `SCROLL_LOCK`
    `SHIFT`
    `SINGLE_QUOTE`
    `SPACE`
    `SUBTRACT`
    `TAB`
    `UP_ARROW`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KeyboardCodes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static KeyboardCodes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BACKSPACE

          public static final KeyboardCodes BACKSPACE

    - #### TAB

          public static final KeyboardCodes TAB

    - #### ENTER

          public static final KeyboardCodes ENTER

    - #### SHIFT

          public static final KeyboardCodes SHIFT

    - #### CTRL

          public static final KeyboardCodes CTRL

    - #### ALT

          public static final KeyboardCodes ALT

    - #### PAUSE_BREAK

          public static final KeyboardCodes PAUSE_BREAK

    - #### CAPS_LOCK

          public static final KeyboardCodes CAPS_LOCK

    - #### ESCAPE

          public static final KeyboardCodes ESCAPE

    - #### SPACE

          public static final KeyboardCodes SPACE

    - #### PAGE_UP

          public static final KeyboardCodes PAGE_UP

    - #### PAGE_DOWN

          public static final KeyboardCodes PAGE_DOWN

    - #### END

          public static final KeyboardCodes END

    - #### HOME

          public static final KeyboardCodes HOME

    - #### LEFT_ARROW

          public static final KeyboardCodes LEFT_ARROW

    - #### UP_ARROW

          public static final KeyboardCodes UP_ARROW

    - #### RIGHT_ARROW

          public static final KeyboardCodes RIGHT_ARROW

    - #### DOWN_ARROW

          public static final KeyboardCodes DOWN_ARROW

    - #### INSERT

          public static final KeyboardCodes INSERT

    - #### DELETE

          public static final KeyboardCodes DELETE

    - #### MULTIPLY

          public static final KeyboardCodes MULTIPLY

    - #### ADD

          public static final KeyboardCodes ADD

    - #### SUBTRACT

          public static final KeyboardCodes SUBTRACT

    - #### DECIMAL_POINT

          public static final KeyboardCodes DECIMAL_POINT

    - #### DIVIDE

          public static final KeyboardCodes DIVIDE

    - #### F1

          public static final KeyboardCodes F1

    - #### F2

          public static final KeyboardCodes F2

    - #### F3

          public static final KeyboardCodes F3

    - #### F4

          public static final KeyboardCodes F4

    - #### F5

          public static final KeyboardCodes F5

    - #### F6

          public static final KeyboardCodes F6

    - #### F7

          public static final KeyboardCodes F7

    - #### F8

          public static final KeyboardCodes F8

    - #### F9

          public static final KeyboardCodes F9

    - #### F10

          public static final KeyboardCodes F10

    - #### F11

          public static final KeyboardCodes F11

    - #### F12

          public static final KeyboardCodes F12

    - #### NUM_LOCK

          public static final KeyboardCodes NUM_LOCK

    - #### SCROLL_LOCK

          public static final KeyboardCodes SCROLL_LOCK

    - #### EQUAL_SIGN

          public static final KeyboardCodes EQUAL_SIGN

    - #### COMMA

          public static final KeyboardCodes COMMA

    - #### DASH

          public static final KeyboardCodes DASH

    - #### PERIOD

          public static final KeyboardCodes PERIOD

    - #### FORWARD_SLASH

          public static final KeyboardCodes FORWARD_SLASH

    - #### GRAVE_ACCENT

          public static final KeyboardCodes GRAVE_ACCENT

    - #### OPEN_BRACKET

          public static final KeyboardCodes OPEN_BRACKET

    - #### BACK_SLASH

          public static final KeyboardCodes BACK_SLASH

    - #### CLOSE_BRAKET

          public static final KeyboardCodes CLOSE_BRAKET

    - #### SINGLE_QUOTE

          public static final KeyboardCodes SINGLE_QUOTE

  - ### Method Detail

    - #### values

          public static KeyboardCodes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeyboardCodes c : KeyboardCodes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeyboardCodes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null